<%@ Control Language="c#" AutoEventWireup="false" Codebehind="ConditionalEndMessage.ascx.cs" Inherits="Votations.NSurvey.WebAdmin.ConditionalEndMessage" %>
<%@ Register TagPrefix="uc1" TagName="SurveyListControl" Src="UserControls/SurveyListControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="FooterControl" Src="UserControls/FooterControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="HeaderControl" Src="UserControls/HeaderControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="PageBranchingRulesControl" Src="UserControls/PageBranchingRulesControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="SurveyMessageConditonsControl" Src="UserControls/SurveyMessageConditonsControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="FilterOptionControl" Src="UserControls/FilterOptionControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx"%>

<table class=TableLayoutContainer cellSpacing=0 cellPadding=0>
  <tr>
    <td><uc1:headercontrol id=Header runat="server"></uc1:headercontrol></td></tr>
  <tr>
    <td class=contentCell vAlign=top>
      <TABLE class=Innertext>
        <TR>
          <TD colSpan=2><FONT class=Titlefont 
            ><asp:literal id=AddNewConditionTitle 
             runat="server" 
            EnableViewState="False"></asp:literal></FONT><BR 
            ><IMG src="<%= CurrentFolder("images/linebreak.gif") %>" > </TD></TR>
        <TR>
          <TD>&nbsp;&nbsp; </TD>
          <TD><asp:label id=MessageLabel runat="server" ForeColor="Green" Visible="False"></asp:label>
            <TABLE class=Innertext>
              <TR>
                <TD noWrap width=140><STRONG 
                  ><asp:literal id=MessageConditionLabel 
                   runat="server" EnableViewState="False" 
                  Text="Condition :"></asp:literal></STRONG></TD>
                <TD width=480><asp:dropdownlist id=MessageConditionDropdownlist runat="server" AutoPostBack="True"></asp:dropdownlist></TD></TR>
              <TR>
                <TD noWrap width=140><STRONG 
                  ><asp:literal id=QuestionLabel 
                   runat="server" 
                  EnableViewState="False">Question :</asp:literal></STRONG> </TD>
                <TD width=480><asp:dropdownlist id=QuestionFilterDropdownlist runat="server" AutoPostBack="True"></asp:dropdownlist></TD></TR>
              <TR>
                <TD width=140><STRONG 
                  ><asp:label id=ConditionalLabel runat="server">Conditional operator :</asp:label></STRONG></TD>
                <TD><asp:dropdownlist id=LogicDropDownList runat="server" AutoPostBack="True">
</asp:dropdownlist></TD>
              <TR>
                <TD width=140><STRONG 
                  ><asp:label id=AnswerLabel runat="server">Answer :</asp:label></STRONG></TD>
                <TD><asp:dropdownlist id=AnswerFilterDropdownlist runat="server" AutoPostBack="True"></asp:dropdownlist></TD></TR>
              <TR>
				<TD width=140><STRONG><asp:label id=TextEvaluationConditionLabel runat="server">Text evaluation condition :</asp:label></STRONG></TD>
                <TD><asp:dropdownlist id=ExpressionLogicDropdownlist runat="server"></asp:dropdownlist></TD></TR>
              <TR>
                <TD width=140><STRONG 
                  ><asp:label id=FilterTextLabel runat="server">Text contains :</asp:label></STRONG></TD>
                <TD><asp:textbox id=TextFilterTextbox runat="server"></asp:textbox></TD></TR>
              <TR>
                <TD width=140><STRONG 
                  ><asp:label id=ScoreLabel runat="server">Score :</asp:label></STRONG></TD>
                <TD><asp:textbox id=ScoreTextbox runat="server" Columns="2"></asp:textbox><asp:label id=ScoreRangeLabel runat="server">between</asp:label><asp:textbox id=ScoreMaxTextbox runat="server" Columns="2"></asp:textbox></TD></TR>
              <TR>
                <TD vAlign=top width=140><STRONG 
                  ><asp:label id=ConditionalMessageLabel runat="server">Message shown on submit :</asp:label></STRONG></TD>
                <TD>
                <dnn:TextEditor HTMLEncode="false" id="ThankYouFreeTextBox" height="200" runat="server" />
                <asp:Label id=ScoreTagLabel runat="server">Score total can be shown using the ::score:: tag inside your message</asp:Label></TD></TR></TABLE></TD></TR></TABLE><asp:button id=AddMessageConditionButton runat="server" Text="Add new message condition" Enabled="False"></asp:button><asp:button id=UpdateMessageConditionButton runat="server" Text="Update message condition"></asp:button><asp:Button id=ConditionCancelButton runat="server" Text="Cancel / Back"></asp:Button><br></td></tr>
                  <uc1:footercontrol id=Footer runat="server"></uc1:footercontrol></table>