<%@ Control Language="c#" AutoEventWireup="false" Codebehind="EditPageBranching.ascx.cs" Inherits="Votations.NSurvey.WebAdmin.EditPageBranching" %>
<%@ Register TagPrefix="uc1" TagName="SurveyListControl" Src="UserControls/SurveyListControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="FooterControl" Src="UserControls/FooterControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="HeaderControl" Src="UserControls/HeaderControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="PageBranchingRulesControl" Src="UserControls/PageBranchingRulesControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="FilterOptionControl" Src="UserControls/FilterOptionControl.ascx" %>

<table class=TableLayoutContainer cellSpacing=0 cellPadding=0>
  <tr>
    <td><uc1:headercontrol id=Header runat="server"></uc1:headercontrol></td></tr>
  <tr>
    <td class=contentCell vAlign=top>
      <TABLE class=Innertext>
        <TR>
          <TD colSpan=2><FONT class=Titlefont 
            ><asp:literal id=AddNewBranchingTitle 
             runat="server" EnableViewState="False">Add new 
            branching rule to page</asp:literal></FONT><BR 
            ><IMG src="<%= CurrentFolder("images/linebreak.gif") %>"> </TD></TR>
        <TR>
          <TD>&nbsp;&nbsp; </TD>
          <TD><asp:label id=MessageLabel runat="server" Visible="False" ForeColor="Green"></asp:label>
            <TABLE class=Innertext>
              <TR>
                <TD noWrap width=140><STRONG 
                  ><asp:literal id=QuestionLabel 
                   runat="server" 
                  EnableViewState="False">Question :</asp:literal></STRONG> </TD>
                <TD width=480><asp:dropdownlist id=QuestionFilterDropdownlist runat="server" AutoPostBack="True"></asp:dropdownlist></TD></TR>
              <TR>
                <TD width=140><STRONG><asp:label id=ConditionalLabel runat="server">Conditional operator :</asp:label></STRONG></TD>
                <TD><asp:dropdownlist id=LogicDropDownList runat="server" AutoPostBack="True">
</asp:dropdownlist></TD></TR>
              <TR>
                <TD width=140><STRONG><asp:label id=AnswerLabel runat="server">Answer :</asp:label></STRONG></TD>
                <TD><asp:dropdownlist id=AnswerFilterDropdownlist runat="server" AutoPostBack="True"></asp:dropdownlist></TD></TR>
              <TR>
                <TD width=140><STRONG><asp:label id=TextEvaluationConditionLabel runat="server">Text evaluation condition :</asp:label></STRONG></TD>
                <TD><asp:dropdownlist id=ExpressionLogicDropdownlist runat="server" >
</asp:dropdownlist></TD></TR>
              <TR>
                <TD width=140><STRONG><asp:label id=FilterTextLabel runat="server">Text :</asp:label></STRONG></TD>
                <TD><asp:textbox id=TextFilterTextbox runat="server"></asp:textbox></TD></TR>
              <TR>
                <TD width=140><STRONG><asp:label id=ScoreLabel runat="server">Score :</asp:label></STRONG></TD>
                <TD><asp:textbox id=ScoreTextbox runat="server" Columns="2"></asp:textbox><asp:label id=ScoreRangeLabel runat="server">between</asp:label><asp:textbox id=ScoreMaxTextbox runat="server" Columns="2"></asp:textbox></TD></TR>
              <TR>
                <TD width=140><STRONG><asp:label id=PageTargetLabel runat="server">Go to page :</asp:label></STRONG></TD>
                <TD><asp:dropdownlist id=PageTargetDropdownlist runat="server" ></asp:dropdownlist></TD></TR></TABLE></TD></TR></TABLE><asp:button id=AddRuleButton runat="server" Text="Add new rule" Enabled="False"></asp:button><br 
      ><br><br>
      <TABLE class=Innertext>
        <TR>
          <TD colSpan=2><FONT class=Titlefont 
            ><asp:literal id=BranchingRulesTitle 
             runat="server" 
            EnableViewState="False">Branching rules</asp:literal></FONT> <BR 
            ><IMG src=<%= CurrentFolder("images/linebreak.gif") %>> </TD></TR>
        <TR>
          <TD>&nbsp;&nbsp; </TD>
          <TD>
            <TABLE class=Innertext><asp:literal id="EvaluationConditionInfo" runat="server" EnableViewState="False">Conditions are evaluated from top to down with a "first condition met branch" rule</asp:literal>
              <TBODY>
              <tr>
                <td noWrap width=700><uc1:PageBranchingRulesControl id="PageBranchingRules" runat="server"></uc1:PageBranchingRulesControl></td></tr></TBODY>
				</TABLE></TD></TR></TABLE></td></tr><uc1:footercontrol id=Footer runat="server"></uc1:footercontrol></table>