<%@ Control Language="c#" AutoEventWireup="false" Codebehind="EditVoterReport.ascx.cs" Inherits="Votations.NSurvey.WebAdmin.EditVoterReport" %>
<%@ Register TagPrefix="uc1" TagName="FooterControl" Src="UserControls/FooterControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="HeaderControl" Src="UserControls/HeaderControl.ascx" %>

<table class="TableLayoutContainer" cellspacing="0" cellpadding="0">
<tr>
	<td><uc1:headercontrol id="Header" runat="server"></uc1:headercontrol></td>
</tr>
<tr>
<td class="contentCell"  valign="top">
<asp:Label id=MessageLabel runat="server" ForeColor="Green" Visible="False"></asp:Label>
	
	<Table Class="Innertext">
	<Tr>
	<Td Colspan="2">
	<Font Class="Titlefont"><asp:Literal id="VoterInformationTitle" runat="server" EnableViewState="False">Voter information</asp:Literal></Font>
	<Br><Img Src="<%= CurrentFolder("images/linebreak.gif") %>">
	</Td>
	</Tr>
	<Tr>
	<Td>
	&nbsp;&nbsp;
	</Td>
	<Td>
		<Table Class="Innertext" >
        <tr>
          <td width="160"><STRONG><asp:Literal id="VoterDBIDLabel" runat="server" EnableViewState="False">Voter DB ID :</asp:Literal></STRONG> 
		  </td>
          <td><asp:Label id="VoterUIDLabel" runat="server"></asp:Label>
		  </td>
		</tr>				
              <tr>
                <td width=160><STRONG 
                  ><asp:literal id="VoterUserNameLabel" 
                   runat="server" 
                  EnableViewState="False">Voter user name :</asp:literal></STRONG> 
                </td>
                <td><asp:label id="VoterUserName" runat="server"></asp:label></td></tr>
        <tr>
          <td width="160"><STRONG><asp:Literal id="VoterEmailLabel" runat="server" EnableViewState="False">Voter Email :</asp:Literal></STRONG> 
		  </td>
          <td><asp:Label id="VoterEmail" runat="server"></asp:Label>
		  </td>
		</tr>				
        <tr>
          <td width="160"><STRONG><asp:Literal id="VoterIPAddressLabel" runat="server" EnableViewState="False">IP address :</asp:Literal></STRONG> 
		  </td>
          <td><asp:Label id="IPAddressLabel" runat="server"></asp:Label>
		  </td>
		</tr>				
        <tr>
          <td width="160"><STRONG><asp:Literal id="VoteRecordedLabel" runat="server" EnableViewState="False">Vote recorded on :</asp:Literal></STRONG> 
		  </td>
          <td><asp:Label id="VoteDateLabel" runat="server"></asp:Label>
		  </td>
		</tr>				
        <tr>
          <td valign="top" width="160"><STRONG><asp:Literal id="TimeToTakeLabel" runat="server" EnableViewState="False">Time to take the survey :</asp:Literal></STRONG> 
		  </td>
          <td><asp:Label id="TimeToTakeSurveyLabel" runat="server"></asp:Label>&nbsp;<br><br>
		  </td>
		</tr>				
		</Table>	
	</Td>
	</Tr>
	</Table>
	<br>	
	<asp:PlaceHolder id="AddInVoterDataPlaceHolder" runat="server"></asp:PlaceHolder>
	<br>
	<Table Class="Innertext">
	<Tr>
	<Td Colspan="2">
	<Font Class="Titlefont"><asp:Literal id="EditSurveyAnswersTitle" runat="server" EnableViewState="False" Text="Edit survey answers"></asp:Literal></Font> - <asp:LinkButton id=ReadOnlyAnswersLinkButton runat="server">Enter voter'sanswers read only mode</asp:LinkButton>
	<Br><Img Src="<%= CurrentFolder("images/linebreak.gif") %>">
	</Td>
	</Tr>
	<Tr>
	<Td>
	&nbsp;&nbsp;
	</Td>
	<Td>
		<Table Class="Innertext" >
			<tr>
			<td><asp:PlaceHolder id=EditAnswersPlaceHolder runat="server"></asp:PlaceHolder><BR><asp:Button id=UpdateVoterAnswersButton runat="server" Text="Update answers"></asp:Button>
				</td></tr>
		</Table>	
	</Td>
	</Tr>
	</Table>

</td></tr>
<uc1:footercontrol id="Footer" runat="server"></uc1:footercontrol>
</table>