<%@ Control Language="c#" AutoEventWireup="false" Codebehind="ExportData.ascx.cs" Inherits="Votations.NSurvey.WebAdmin.ExportData" %>
<%@ Register TagPrefix="uc1" TagName="SurveyListControl" Src="UserControls/SurveyListControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="FooterControl" Src="UserControls/FooterControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="HeaderControl" Src="UserControls/HeaderControl.ascx" %>
<table class="TableLayoutContainer" cellSpacing="0" cellPadding="0">
	<tr>
		<td><uc1:headercontrol id="Header" runat="server"></uc1:headercontrol></td>
	</tr>
	<tr>
		<td class="contentCell" vAlign="top"><asp:label id="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:label>
			<table class="innerText">
				<tr>
					<td colSpan="2">
						<table>
							<tr>
								<td width="99%"><font class="titleFont"><asp:Literal id="SurveyExportTitle" runat="server" EnableViewState="False">Survey CSV export</asp:Literal></font>
								</td>
								<td align="right"><uc1:surveylistcontrol id="SurveyList" runat="server"></uc1:surveylistcontrol></td>
							</tr>
						</table>
						<img src="<%= CurrentFolder("images/linebreak.gif") %>">
					</td>
				</tr>
				<tr>
					<td>&nbsp;&nbsp;
					</td>
					<td>
						<table class="innerText">
							<tr>
								<td width="140"><STRONG><asp:Literal id="FieldDelimiterLabel" runat="server" EnableViewState="False">Field delimiter :</asp:Literal></STRONG>
								</td>
								<td><asp:TextBox id="FieldDelimiterTextBox" runat="server" Columns="1" MaxLength="1">,</asp:TextBox></td>
							</tr>
							<tr>
								<td width="140"><STRONG><asp:Literal id="TextDelimiterLabel" runat="server" EnableViewState="False">Text delimiter :</asp:Literal></STRONG>
								</td>
								<td><asp:TextBox id="TextDelimiterTextBox" runat="server" Columns="1" MaxLength="1">&quot;</asp:TextBox></td>
							</tr>
							<tr>
								<td width="140"><STRONG><asp:Literal id="ExportFromDateLabel" runat="server" EnableViewState="False">Export from :</asp:Literal></STRONG>
								</td>
								<td><asp:TextBox id="StartDateTextBox" runat="server" Columns="6"></asp:TextBox></td>
							</tr>
							<tr>
								<td width="140"><STRONG><asp:Literal id="ExportToDateLabel" runat="server" EnableViewState="False">To :</asp:Literal></STRONG>
								</td>
								<td><asp:TextBox id="EndDateTextBox" runat="server" Columns="6"></asp:TextBox></td>
							</tr>
						</table>
						<br>
						<asp:button id=ExportDataButton runat="server" Text="Export CSV"></asp:button>
						<asp:button id="VoterExportXMLButton" runat="server" Text="Export XML"></asp:button></td>
				</tr>
			</table>
		</td>
	</tr>
	<uc1:footercontrol id="Footer" runat="server"></uc1:footercontrol></table>
