<%@ Control Language="c#" AutoEventWireup="false" Codebehind="InsertQuestion.ascx.cs" Inherits="Votations.NSurvey.WebAdmin.InsertQuestion" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx"%>
<%@ Register TagPrefix="uc1" TagName="HeaderControl" Src="UserControls/HeaderControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="FooterControl" Src="UserControls/FooterControl.ascx" %>

<table class=TableLayoutContainer cellSpacing=0 cellPadding=0>
  <tr>
    <td><uc1:headercontrol id=Header runat="server"></uc1:headercontrol></td></tr>
  <tr>
    <td class=contentCell vAlign=top><asp:label id=MessageLabel runat="server" Visible="False" ForeColor="Green"></asp:label>
      <TABLE class=Innertext>
        <TR>
          <TD colSpan=2><FONT class=Titlefont 
            ><asp:literal id=NewQuestionTitle 
             runat="server" EnableViewState="False">New 
            question</asp:literal></FONT> <BR><img src="<%= CurrentFolder("images/linebreak.gif") %>"> </TD></TR>
        <TR>
          <TD>&nbsp;&nbsp; </TD>
          <TD>
            <TABLE class=Innertext>
              <tr>
                <td vAlign=top noWrap><b 
                  ><asp:literal id=QuestionLabel 
                   runat="server" 
                  EnableViewState="False">Question</asp:literal></b><br 
                  ><dnn:TextEditor HTMLEncode="false" id="QuestionFreeTextBox" height="150" width="650" runat="server" /><br 
                  ></td></tr>
              <tr>
                <td noWrap><b 
                  ><asp:literal id=TypeLabel 
                   runat="server" 
                  EnableViewState="False">Type</asp:literal></b><br 
                  ><asp:dropdownlist id=QuestionDropDownList runat="server"></asp:dropdownlist></td></tr></TABLE></TD></TR></TABLE><br 
      ><asp:button id=AddQuestionButton runat="server" Text="Add new question"></asp:button><BR 
      ><BR>
      <TABLE class=Innertext>
        <TR>
          <TD colSpan=2><FONT class=Titlefont 
            ><asp:literal id=CopyExistingQuestionTitle 
             runat="server" EnableViewState="False">Copy 
            existing question</asp:literal></FONT> <BR><img src="<%= CurrentFolder("images/linebreak.gif") %>"></TD></TR>
        <TR>
          <TD>&nbsp;&nbsp; </TD>
          <TD>
            <TABLE class=Innertext>
              <tr>
                <td vAlign=top noWrap height=13><asp:DropDownList id=SourceDropDownList runat="server" AutoPostBack="True"></asp:DropDownList></td></tr>
              <tr>
			<td><asp:dropdownlist id=SurveyListDropdownlist runat="server" AutoPostBack="True" Visible="False"></asp:dropdownlist><asp:DropDownList id=LibraryDropDownList runat="server" Visible="False" AutoPostBack="True"></asp:DropDownList>
		</td>
			  </tr>
			  <tr>
                <td noWrap><asp:dropdownlist id=SurveyQuestionListDropdownlist runat="server" Visible="False"></asp:dropdownlist><asp:DropDownList id=LibraryQuestionsDropDownList runat="server" Visible="False" ></asp:DropDownList></td></tr></TABLE></TD></TR></TABLE><br 
      ><asp:button id=CopyExistingQuestionButton runat="server" Text="Copy question to this survey" Enabled="False"></asp:button><BR 
      ><BR>
      <asp:PlaceHolder ID="ImportXmlQuestionPlaceHolder" Runat="server">
      <TABLE class=Innertext>
        <TR>
          <TD colSpan=2><FONT class=Titlefont 
            ><asp:literal id=ImportQuestionTitle 
             runat="server" EnableViewState="False" 
            Text="Import XML question"></asp:literal></FONT><BR 
            ><img src="<%= CurrentFolder("images/linebreak.gif") %>"></TD></TR>
        <TR>
          <TD>&nbsp;&nbsp; </TD>
          <TD>
            <TABLE class=Innertext>
              <tr>
                <td vAlign=top noWrap width=55><input 
                  id=ImportFile type=file runat="server"> 
                </td></tr>
              <tr></tr></TABLE></TD></TR></TABLE><asp:button id=ImportXMLButton runat="server" Text="Import XML"></asp:button></asp:PlaceHolder></td></tr><uc1:footercontrol id=Footer runat="server"></uc1:footercontrol></table>