<%@ Register TagPrefix="uc1" TagName="SurveyListControl" Src="UserControls/SurveyListControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="FooterControl" Src="UserControls/FooterControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="HeaderControl" Src="UserControls/HeaderControl.ascx" %>
<%@ Register TagPrefix="mbrsc" Namespace="Votations.NSurvey.WebAdmin.WebControls" Assembly="Votations.NSurvey.WebAdmin" %>
<%@ Control Language="c#" AutoEventWireup="false" Codebehind="MailingStatus.ascx.cs" Inherits="Votations.NSurvey.WebAdmin.MailingStatus" %>
<table class="TableLayoutContainer" cellSpacing="0" cellPadding="0">
	<TBODY>
		<tr>
			<td><uc1:headercontrol id="Header" runat="server"></uc1:headercontrol></td>
		</tr>
		<tr>
			<td class="contentCell" vAlign="top"><asp:label id="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:label>
				<table class="innerText">
					<tr>
						<td colSpan="2">
							<table>
								<tr>
									<td width="99%"><font class="titleFont">
											<asp:Literal id="PendingEmailsTitle" runat="server" EnableViewState="False">Pending emails - Page</asp:Literal>
											<asp:label id="CurrentPendingPageLabel" runat="server">1</asp:label>&nbsp;/
											<asp:label id="TotalPendingPagesLabel" runat="server">1</asp:label></font>
									</td>
									<td align="right">
										<uc1:surveylistcontrol id="SurveyList" runat="server"></uc1:surveylistcontrol></td>
								</tr>
							</table>
							<img src="<%= CurrentFolder("images/linebreak.gif") %>">
						</td>
					</tr>
					<tr>
						<td>&nbsp;&nbsp;
						</td>
						<td>
							<asp:placeholder id="pendinglist" runat="server">
								<asp:datagrid id="PendingEmailsDataGrid" runat="server" Width="553px" AutoGenerateColumns="False"
									border="0" AllowCustomPaging="True" PageSize="1">
									<AlternatingItemStyle BackColor="#F4F9FA"></AlternatingItemStyle>
									<ItemStyle Font-Size="XX-Small" BackColor="White"></ItemStyle>
									<HeaderStyle Font-Size="XX-Small" Font-Bold="True"></HeaderStyle>
									<Columns>
										<mbrsc:RowSelectorColumn AllowSelectAll="True"></mbrsc:RowSelectorColumn>
										<asp:BoundColumn DataField="Email" HeaderText="Email"></asp:BoundColumn>
										<asp:BoundColumn DataField="RequestDate" HeaderText="Request date"></asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="SurveyId"></asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="EmailId"></asp:BoundColumn>
									</Columns>
								</asp:datagrid>
								<P align="right">
									<asp:linkbutton id="PreviousPendingPageLinkButton" runat="server"><< Previous page</asp:linkbutton>&nbsp;
									<asp:linkbutton id="NextPendingPageLinkButton" runat="server">Next page >></asp:linkbutton></P>
								<P align="left">
									<asp:button id="DeleteRequestButton" runat="server" Text="Delete selected requests"></asp:button></P>
							</asp:placeholder>
							<asp:placeholder id="NoPending" runat="server">
								<asp:Literal id="NoEmailInvitationInfo" runat="server" EnableViewState="False">No 
            email invitation pending but you can start sending invitations right 
            now using the mailing tool</asp:Literal>
							</asp:placeholder>
						</td>
					</tr>
				</table>
				<br>
				<br>
				<table class="innerText">
					<tr>
						<td colSpan="2"><font class="titleFont">
								<asp:Literal id="ValidatedEmailTitle" runat="server" EnableViewState="False">Validated emails answers - Page</asp:Literal>
								<asp:label id="CurrentAnsweredPageLabel" runat="server">1</asp:label>&nbsp;/<asp:label id="TotalAnsweredPagesLabel" runat="server">1</asp:label></font>
							<br>
							<img src="<%= CurrentFolder("images/linebreak.gif") %>">
						</td>
					</tr>
					<tr>
						<td>&nbsp;&nbsp;</td>
						<td>
							<asp:placeholder id="NoAnswersPlaceHolder" runat="server">
								<asp:Literal id="NoEmailAnswered" runat="server" EnableViewState="False">No emails have answered your 
            invitations yet.</asp:Literal>
							</asp:placeholder>
							<asp:placeholder id="AnswersPlaceHolder" runat="server">
								<asp:datagrid id="AnsweredEmailsDatagrid" runat="server" Width="553px" AutoGenerateColumns="False"
									border="0">
									<AlternatingItemStyle BackColor="#F4F9FA"></AlternatingItemStyle>
									<ItemStyle Font-Size="XX-Small" BackColor="White"></ItemStyle>
									<HeaderStyle Font-Size="XX-Small" Font-Bold="True"></HeaderStyle>
									<Columns>
										<mbrsc:RowSelectorColumn AllowSelectAll="True"></mbrsc:RowSelectorColumn>
										<asp:BoundColumn DataField="Email" HeaderText="Email"></asp:BoundColumn>
										<asp:BoundColumn DataField="VoteDate" HeaderText="Answer date"></asp:BoundColumn>
									</Columns>
								</asp:datagrid>
								<P align="right">
									<asp:linkbutton id="PreviousAnsweredPageLinkButton" runat="server"><< Previous page</asp:linkbutton>&nbsp;
									<asp:linkbutton id="NextAnsweredPageLinkButton" runat="server">Next page >></asp:linkbutton></P>
								<P align="left">
									<asp:Button id="DeleteVoterButton" runat="server" Text="Delete selected voters"></asp:Button></P>
							</asp:placeholder>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<uc1:footercontrol id="Footer" runat="server"></uc1:footercontrol>
	</TBODY>
</table>
