<%@ Control Language="c#" AutoEventWireup="false" Codebehind="SurveyMailing.ascx.cs" Inherits="Votations.NSurvey.WebAdmin.SurveyMailing" %>
<%@ Register TagPrefix="uc1" TagName="SurveyListControl" Src="UserControls/SurveyListControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="FooterControl" Src="UserControls/FooterControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="HeaderControl" Src="UserControls/HeaderControl.ascx" %>

<table class="TableLayoutContainer" cellSpacing="0" cellPadding="0">
	<TBODY>
		<tr>
			<td><uc1:headercontrol id="Header" runat="server"></uc1:headercontrol></td>
		</tr>
		<tr>
			<td class="contentCell" vAlign="top"><asp:label id="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:label>
				<table class="innerText">
					<tr>
						<td colSpan="2">
							<table>
								<tr>
									<td width="99%"><font class="titleFont"><asp:Literal id="InvitationMailingTitle" runat="server" EnableViewState="False">Invitation mailing</asp:Literal></font></td>
									<td align="right"><uc1:surveylistcontrol id="SurveyList" runat="server"></uc1:surveylistcontrol></td>
								</tr>
							</table>
							<img src="<%= CurrentFolder("images/linebreak.gif") %>">
						</td>
					</tr>
					<tr>
						<td>&nbsp;&nbsp;
						</td>
						<td>
							<table class="innerText">
								<tr>
									<td width="150"><STRONG><asp:Literal id="FromLabel" runat="server" EnableViewState="False">From :</asp:Literal></STRONG>
									</td>
									<td><asp:TextBox id="FromTextBox" runat="server" Width="193px">youremail@yourdomain.com</asp:TextBox></td>
								</tr>
								<tr>
									<td width="150"><STRONG><asp:Literal id="FromNameLabel" runat="server" EnableViewState="False">From name:</asp:Literal></STRONG>
									</td>
									<td><asp:TextBox id="FromNameTextbox" runat="server" Width="193px">LastName FirstName</asp:TextBox></td>
								</tr>
								<tr>
									<td width="150"><STRONG><asp:Literal id="SubjectLabel" runat="server" EnableViewState="False">Subject :</asp:Literal></STRONG>
									</td>
									<td width="480"><asp:TextBox id="SubjectTextBox" runat="server" Width="280px">Please take part in my survey</asp:TextBox></td>
								</tr>
								<tr>
									<td colSpan="2"><STRONG><asp:Literal id="InvitationMessageLabel" runat="server" EnableViewState="False">Invitation message :</asp:Literal></STRONG><br>
										<asp:textbox id="InvitationMessageTextBox" runat="server" TextMode="MultiLine" Rows="10" Columns="80"></asp:textbox><br>
									</td>
								</tr>
								<tr>
									<td colSpan="2"><STRONG><asp:Literal id="EmailInvitationLabel" runat="server" EnableViewState="False">Email invitation list (must be separated by a comma eg: email@dom.com, email2@dom.com etc..) :</asp:Literal></STRONG><br>
										<asp:textbox id="MailingListTextBox" runat="server" TextMode="MultiLine" Rows="10" Columns="80"></asp:textbox></td>
								</tr>
								<tr>
								<tr>
									<td width="150"><STRONG><asp:Literal id="AnonymousLabel" runat="server" EnableViewState="False">Anonymous entries:</asp:Literal></STRONG>
									</td>
									<td><asp:checkbox id="AnonymousEntriesCheckBox" runat="server"></asp:checkbox></td>
								</tr>
							</table>
							<br>
							<asp:button id="SendInvitationButton" runat="server" Text="Send invitation"></asp:button></td>
					</tr>
				</table>
				<br>
			<td></td>
			<uc1:footercontrol id="Footer" runat="server"></uc1:footercontrol>
		</tr>
	</TBODY></table>
