<%@ Control Language="c#" AutoEventWireup="false" Codebehind="SurveyPrivacy.ascx.cs" Inherits="Votations.NSurvey.WebAdmin.SurveyPrivacy" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx"%>
<%@ Register TagPrefix="uc1" TagName="SurveyListControl" Src="UserControls/SurveyListControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="FooterControl" Src="UserControls/FooterControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="HeaderControl" Src="UserControls/HeaderControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="SurveyOptionControl" Src="UserControls/SurveyOptionControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="SurveyMessageConditonsControl" Src="UserControls/surveymessageconditonscontrol.ascx" %>

<table class="TableLayoutContainer" cellSpacing="0" cellPadding="0">
	<tr>
		<td><uc1:headercontrol id="Header" runat="server"></uc1:headercontrol></td>
	</tr>
	<tr>
		<td class="contentCell" vAlign="top"><asp:label id="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:label>
			<table class="innerText">
				<TBODY>
					<tr>
						<td colSpan="2">
							<table>
								<tr>
									<td width="99%"><font class="titleFont"><asp:literal id="PrivacySettingsTitle" runat="server" text="Privacy settings" EnableViewState="False"></asp:literal></font></td>
									<td align="right"><uc1:surveylistcontrol id="SurveyList" runat="server"></uc1:surveylistcontrol></td>
								</tr>
							</table>
							<IMG src="<%= CurrentFolder("images/linebreak.gif") %>"></td>
					</tr>
					<tr>
						<td>&nbsp;&nbsp;
						</td>
						<td>
							<table class="innerText">
								<TBODY>
									<TR>
										<TD noWrap width="140"><STRONG><asp:literal id="RedirectionURLLabel" runat="server" text="Redirection URL :" EnableViewState="False"></asp:literal></STRONG></TD>
										<TD width="480"><asp:textbox id="RedirectionURLTextBox" runat="server"></asp:textbox></TD>
									</TR>
					</tr>
					<TR>
						<TD vAlign="top" width="140"><STRONG><asp:literal id="ThanksMessageLabel" runat="server" text="Thanks message :" EnableViewState="False"></asp:literal></STRONG></TD>
						<TD><dnn:TextEditor HTMLEncode="false" id="ThankYouFreeTextBox" height="150" width="650" runat="server" /></TD>
					</TR>
	</tr>
</table>
<BR>
<asp:button id="ApplyPrivacyButton" runat="server" Text="Apply changes"></asp:button><BR>
<BR>
</TD></TR></TBODY></TABLE>
<table class="smallText">
	<TBODY>
		<tr>
			<td colSpan="2"><font class="titleFont"><asp:literal id="ThanksMessageConditionTitle" runat="server" text="Thanks messages display conditions*"
						EnableViewState="False"></asp:literal></font><br>
				<IMG src="<%= CurrentFolder("images/linebreak.gif") %>">
			</td>
		</tr>
		<tr>
			<td>&nbsp;&nbsp;
			</td>
			<td><asp:HyperLink id="AddNewConditionHyperLink" runat="server">Add new condition</asp:HyperLink>
				<table class="smallText" width="700">
					<TBODY>
						<TR>
							<TD><uc1:surveymessageconditonscontrol id="SurveyMessageConditons" runat="server"></uc1:surveymessageconditonscontrol><BR>
								<asp:Label id="EvaluationMessageConditionInfo" runat="server">Label</asp:Label></TD>
						</TR>
		</tr>
	</TBODY></table>
</TD></TR></TBODY></TABLE></TD></TR><uc1:footercontrol id="Footer" runat="server"></uc1:footercontrol></TBODY></TABLE>
