<%@ Register TagPrefix="uc1" TagName="SurveyListControl" Src="SurveyListControl.ascx" %>
<%@ Control Language="c#" AutoEventWireup="false" Codebehind="SurveyOptionControl.ascx.cs" Inherits="Votations.NSurvey.WebAdmin.UserControls.SurveyOptionControl" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>


<asp:label id=MessageLabel runat="server" ForeColor="Green" Visible="False"></asp:label>
<table class=innerText>
  <tr>
    <td colSpan=2>
      <table>
        <tr>
          <td width="99%"><font class=titleFont 
            ><asp:literal id=SurveyInformationTitle 
             runat="server" Text="Survey information" 
            EnableViewState="False"></asp:literal></font></td>
          <td align=right><uc1:surveylistcontrol id=SurveyList runat="server"></uc1:surveylistcontrol></td></tr></table><IMG src="<%= CurrentFolder("images/linebreak.gif") %>"> </td></tr>
  <tr>
    <td>&nbsp;&nbsp; </td>
    <td>
      <table class=smallText width=600>
        <TBODY>
        <tr>
          <td width=120><STRONG 
            ><asp:literal id=SurveyTitleLabel 
             runat="server" EnableViewState="False">Title 
            :</asp:literal></STRONG> </td>
          <td width=480><asp:textbox id=TitleTextBox runat="server"></asp:textbox></td></tr></td></tr><asp:placeholder 
        id=EditUi runat="server">
        <TR>
          <TD noWrap width=100><STRONG 
            ><asp:literal id=OpeningDateLabel 
             runat="server" EnableViewState="False">Opening 
            date :</asp:literal></STRONG> </TD>
          <TD width=480><asp:textbox id=OpeningDateTextBox runat="server" Columns="6"></asp:textbox>&nbsp;<asp:literal 
            id=DateForExampleInfo runat="server" 
            EnableViewState="False">eg :</asp:literal><asp:label id=DateFormatLabel runat="server"></asp:label></TD></TR></TD></TR>
        <TR>
          <TD width=270><STRONG 
            ><asp:literal id=CloseDateLabel 
             runat="server" EnableViewState="False">Close 
            date :</asp:literal></STRONG> </TD>
          <TD width=480><asp:textbox id=CloseDateTextbox runat="server" Columns="6"></asp:textbox></TD></TR></TD></TR>
        <TR>
          <TD width=270><STRONG 
            ><asp:literal id=ProgressDisplayLabel 
             runat="server" EnableViewState="False">Progress 
            display :</asp:literal></STRONG> </TD>
          <TD><asp:dropdownlist id=ProgressDisplayDropDownList runat="server"></asp:dropdownlist></TD></TR>
        <TR>
          <TD width=250><STRONG 
          ><asp:literal id="DisableQuestionNumbering" 
             runat="server" EnableViewState="False">Disable question numbering
            :</asp:literal></STRONG> </TD>
          <TD><asp:checkbox id="QuestionNumberingCheckbox" runat="server"></asp:checkbox></TD></TR>
        <TR>
          <TD width=250><STRONG 
            ><asp:literal id=ActiveSurveyLabel 
             runat="server" EnableViewState="False">Active 
            :</asp:literal></STRONG> </TD>
          <TD><asp:checkbox id=ActiveCheckBox runat="server"></asp:checkbox></TD></TR>
        <TR>
          <TD width=270><STRONG 
            ><asp:literal id=ArchivedLabel 
             runat="server" EnableViewState="False" Visible="False"></asp:literal></STRONG> </TD>
          <TD><asp:checkbox id=ArchiveCheckBox runat="server" Visible="False"></asp:checkbox></TD></TR>
        <TR>
          <TD width=250><STRONG 
            ><asp:literal id=ScoredLabel 
             runat="server" EnableViewState="False">Scored : 
            :</asp:literal></STRONG> </TD>
          <TD><asp:checkbox id=ScoredCheckbox runat="server"></asp:checkbox></TD></TR>
        <TR>
          <TD width=270><STRONG 
            ><asp:literal id=EnableNavigationLabel 
             runat="server" EnableViewState="False">Enable 
            navigation :</asp:literal></STRONG> </TD>
          <TD><asp:checkbox id=EnableNavigationCheckbox runat="server"></asp:checkbox></TD></TR>
        <TR>
          <TD width=290><STRONG 
            ><asp:literal id=EnableResumeLabel 
             runat="server" EnableViewState="False">resume 
            of progress :</asp:literal></STRONG> </TD>
          <TD><asp:dropdownlist id=ResumeModeDropdownlist runat="server"></asp:dropdownlist></TD></TR></table></TD></TR></TBODY></TABLE><br>
<table class=innerText>
  <tr>
    <td colSpan=2><font class=titleFont 
      ><asp:literal id=NotificationSettingsTitle 
       runat="server" EnableViewState="False" 
      text="Notification settings"></asp:literal></font><br 
      ><IMG src="<%= CurrentFolder("images/linebreak.gif") %>"> </td></tr>
  <tr>
    <td>&nbsp;&nbsp; </td>
    <td>
      <table class=innerText>
        <TBODY>
        <TR>
          <TD width=140><STRONG 
            ><asp:literal id=EntryNotificationLabel 
             runat="server" EnableViewState="False">Entry 
            notification :</asp:literal></STRONG> </TD>
          <TD><asp:dropdownlist id=EntryNotificationDropdownlist runat="server" autopostback="true"></asp:dropdownlist></TD></TR><asp:placeholder 
        id=NotificationPlaceHolder Runat="server">
        <TR>
          <TD noWrap width=140><STRONG 
            ><asp:literal id=FromEmailNotificationLabel 
             runat="server" EnableViewState="False" 
            text="">Email from :</asp:literal></STRONG></TD>
          <TD width=480><asp:textbox id=EmailFromTextbox runat="server"></asp:textbox></TD></TR></tr>
        <TR>
          <TD noWrap width=140><STRONG 
            ><asp:literal id=ToEmailNotificationLabel 
             runat="server" EnableViewState="False" 
            text="">Email to:</asp:literal></STRONG></TD>
          <TD width=480><asp:textbox id=EmailToTextBox runat="server"></asp:textbox></TD></TR></TR>
        <TR>
          <TD noWrap width=140><STRONG 
            ><asp:literal id=NotificationSubjectLabel 
             runat="server" EnableViewState="False" 
            text="">Email subject :</asp:literal></STRONG></TD>
          <TD width=480><asp:textbox id=EmailSubjectTextbox runat="server"></asp:textbox></TD></TR></asp:placeholder></asp:placeholder> 
</table></TD></TR></TBODY></TABLE><br>
<asp:button id=CreateSurveyButton runat="server" Text="Create survey!"></asp:button><asp:button id=ApplyChangesButton runat="server" Text="Apply changes"></asp:button><asp:button id=DeleteButton runat="server" Text="Delete"></asp:button><asp:button id=CloneButton runat="server" Text="Clone"></asp:button><asp:Button id=ExportSurveyButton runat="server" Text="Export XML"></asp:Button>
<br><br>
<asp:PlaceHolder Runat="server" ID="SurveyImportPlaceHolder">
<TABLE class=innerText>
  <TR>
    <TD colSpan=2><FONT class=titleFont><asp:literal id=ImportSurveyTitle runat="server" EnableViewState="False" text="Import survey from XML"></asp:literal></FONT><BR><IMG src="<%= CurrentFolder("images/linebreak.gif") %>"></TD></TR>
  <TR>
    <TD>&nbsp;&nbsp; </TD>
    <TD>
      <TABLE class=innerText id=Table7>
        <TR>
          <TD width=140><INPUT id=ImportFile type=file name=ImportFile 
            runat="server"></TD></TR></TABLE></TD></TR></TABLE><BR><asp:button id=ImportXMLButton runat="server" Text="Import XML"></asp:button></asp:PlaceHolder>
