/**************************************************************************************************

	NSurvey - The web survey and form engine
	Copyright (c) 2004, Thomas Zumbrunn. (http://www.nsurvey.org)

	Dotnetnuke PA module 
	Copyright (c) 2004, Oliver Hine (oliver.hine@gmail.com)

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


************************************************************************************************/

using System;

namespace Votations.NSurvey.WebAdmin.Helpers
{
	/// <summary>
	/// Summary description for NukeHelper.
	/// </summary>
	public class NukeHelper
	{
		public static DotNetNuke.Entities.Portals.PortalSettings PortalSettings
		{
			get
			{
				return ((DotNetNuke.Entities.Portals.PortalSettings) WebHelper.CurrentContext.Items["PortalSettings"]);
			}
		}
 
		public static string NavigateURL(string ControlKey)
		{
			string appUrl = DotNetNuke.Common.Globals.ApplicationURL();
			if (ControlKey != "")
			{
				appUrl += "&mid=" + WebHelper.GetInteger("mid") + "&ctl=" + ControlKey;
			}
			if ((NukeHelper.PortalSettings.ActiveTab.TabID == NukeHelper.PortalSettings.SuperTabId) | (NukeHelper.PortalSettings.ActiveTab.ParentId == NukeHelper.PortalSettings.SuperTabId))
			{
				appUrl += "&portalid=" + NukeHelper.PortalSettings.ActiveTab.PortalID.ToString();
			}
			return (appUrl);

		}
 
	}
}
