<%@ Control Language="c#" AutoEventWireup="false" Codebehind="EditSingleQuestion.ascx.cs" Inherits="Votations.NSurvey.WebAdmin.EditSingleQuestion" %>
<%@ Register TagPrefix="mbrsc" Namespace="MetaBuilders.WebControls" Assembly="Votations.NSurvey.WebAdmin" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx"%>
<%@ Register TagPrefix="uc1" TagName="HeaderControl" Src="UserControls/HeaderControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="FooterControl" Src="UserControls/FooterControl.ascx" %>

<table class="TableLayoutContainer" cellspacing="0" cellpadding="0">
<tr>
	<td><uc1:headercontrol id="Header" runat="server"></uc1:headercontrol></td>
</tr>
<tr>
<td class="contentCell"  valign="top">
<asp:label id=MessageLabel runat="server" ForeColor="Green" Visible="False"></asp:label>
	<Table Class="Innertext">
	<Tr>
	<Td Colspan="2">
	<Font Class="Titlefont"><asp:Literal id="EditQuestionTitle" runat="server" EnableViewState="False">Edit question</asp:Literal></Font>
	<Br><img src="<%= CurrentFolder("images/linebreak.gif") %>">
	</Td>
	</Tr>
	<Tr>
	<Td>
	&nbsp;&nbsp;
	</Td>
	<Td>
		<Table Class="Innertext" >
       <tr>
          <td colSpan=2><dnn:TextEditor HTMLEncode="false" id="QuestionFreeTextBox" height="200" runat="server" /></td></tr>
        <tr>
          <td width=140 nowrap><STRONG><asp:Literal id="SelectionModeLabel" runat="server" EnableViewState="False">Selection mode :</asp:Literal></STRONG> </td>
          <td width="480"><asp:dropdownlist id=SelectionModeDropDownList runat="server"></asp:dropdownlist></td></tr>
        <asp:placeholder id="AnswerOptionsPlaceholder" runat="server">
              <TR>
                <TD width=140><STRONG><asp:Literal id=DisplayModeLabel runat="server" EnableViewState="False">Display mode 
                  :</asp:Literal></STRONG> </TD>
                <TD><asp:dropdownlist id=DisplayModeDropDownList runat="server"></asp:dropdownlist></TD></TR>
              <TR>
              <TR>
                <TD width=140 height=15><STRONG><asp:Literal id=ColumnNumberLabel runat="server" EnableViewState="False">Number of columns 
                  :</asp:Literal></STRONG> </TD>
                <TD height=15><asp:dropdownlist id=ColumnDropdownlist runat="server">
					<asp:ListItem Value="2">2</asp:ListItem>
					<asp:ListItem Value="3">3</asp:ListItem>
					<asp:ListItem Value="4">4</asp:ListItem>
					<asp:ListItem Value="5">5</asp:ListItem>
					<asp:ListItem Value="6">6</asp:ListItem>
					<asp:ListItem Value="7">7</asp:ListItem>
					<asp:ListItem Value="8">8</asp:ListItem>
					<asp:ListItem Value="9">9</asp:ListItem>
					<asp:ListItem Value="10">10</asp:ListItem>
					<asp:ListItem Value="11">11</asp:ListItem>
					<asp:ListItem Value="12">12</asp:ListItem>
					<asp:ListItem Value="13">13</asp:ListItem>
					<asp:ListItem Value="14">14</asp:ListItem>
					<asp:ListItem Value="15">15</asp:ListItem>
					<asp:ListItem Value="16">16</asp:ListItem>
					<asp:ListItem Value="17">17</asp:ListItem>
					<asp:ListItem Value="18">18</asp:ListItem>
					<asp:ListItem Value="19">19</asp:ListItem>
					<asp:ListItem Value="20">20</asp:ListItem>
					</asp:dropdownlist></TD></TR>
              <TR>
                <TD width=160><STRONG><asp:Literal id=RandomizeAnswersLabel runat="server" EnableViewState="False">Randomize answers order 
                  :</asp:Literal></STRONG> </TD>
                <TD><asp:checkbox id=RandomizeCheckBox runat="server"></asp:checkbox></TD></TR>
              <TR>
                <TD width=160><STRONG><asp:Literal id=AnswerRatingLabel runat="server" EnableViewState="False">Enable answer rating 
                  :</asp:Literal></STRONG> </TD>
                <TD><asp:checkbox id=RatingCheckbox runat="server" AutoPostBack="True"></asp:checkbox></TD></TR>
              <TR>
                <TD width=160><STRONG><asp:Literal id=MinSelectionLabel runat="server" EnableViewState="False">Min. selections 
                  required :</asp:Literal></STRONG> </TD>
                <TD height=15><asp:dropdownlist id=MinSelectionDropDownList runat="server">
					<asp:ListItem Value="1">1</asp:ListItem>
					<asp:ListItem Value="2">2</asp:ListItem>
					<asp:ListItem Value="3">3</asp:ListItem>
					<asp:ListItem Value="4">4</asp:ListItem>
					<asp:ListItem Value="5">5</asp:ListItem>
					<asp:ListItem Value="6">6</asp:ListItem>
					<asp:ListItem Value="7">7</asp:ListItem>
					<asp:ListItem Value="8">8</asp:ListItem>
					<asp:ListItem Value="9">9</asp:ListItem>
					<asp:ListItem Value="10">10</asp:ListItem>
					<asp:ListItem Value="11">11</asp:ListItem>
					<asp:ListItem Value="12">12</asp:ListItem>
					<asp:ListItem Value="13">13</asp:ListItem>
					<asp:ListItem Value="14">14</asp:ListItem>
					<asp:ListItem Value="15">15</asp:ListItem>
					<asp:ListItem Value="16">16</asp:ListItem>
					<asp:ListItem Value="17">17</asp:ListItem>
					<asp:ListItem Value="18">18</asp:ListItem>
					<asp:ListItem Value="19">19</asp:ListItem>
					<asp:ListItem Value="20">20</asp:ListItem>
					</asp:dropdownlist></TD></TR>
              <TR>
                <TD width=160><STRONG><asp:Literal id=MaxSelectionAllowed runat="server" EnableViewState="False">Max. selections allowed 
                  :</asp:Literal></STRONG> </TD>
                <TD><asp:dropdownlist id=MaxAllowedDropDownList runat="server">
					<asp:ListItem Value="1">1</asp:ListItem>
					<asp:ListItem Value="2">2</asp:ListItem>
					<asp:ListItem Value="3">3</asp:ListItem>
					<asp:ListItem Value="4">4</asp:ListItem>
					<asp:ListItem Value="5">5</asp:ListItem>
					<asp:ListItem Value="6">6</asp:ListItem>
					<asp:ListItem Value="7">7</asp:ListItem>
					<asp:ListItem Value="8">8</asp:ListItem>
					<asp:ListItem Value="9">9</asp:ListItem>
					<asp:ListItem Value="10">10</asp:ListItem>
					<asp:ListItem Value="11">11</asp:ListItem>
					<asp:ListItem Value="12">12</asp:ListItem>
					<asp:ListItem Value="13">13</asp:ListItem>
					<asp:ListItem Value="14">14</asp:ListItem>
					<asp:ListItem Value="15">15</asp:ListItem>
					<asp:ListItem Value="16">16</asp:ListItem>
					<asp:ListItem Value="17">17</asp:ListItem>
					<asp:ListItem Value="18">18</asp:ListItem>
					<asp:ListItem Value="19">19</asp:ListItem>
					<asp:ListItem Value="20">20</asp:ListItem>

					</asp:dropdownlist></TD></TR>
					<TR>
                <TD width=160><STRONG><asp:Literal id=QuestionPipeAliasLabel runat="server" EnableViewState="False">Pipe alias 
                  :</asp:Literal></STRONG> </TD>
                <TD><asp:TextBox id=PipeAliasTextBox runat="server" MaxLength="255"></asp:TextBox></TD></TR>
</asp:placeholder>
		</Table>	
<asp:button id=UpdateQuestionButton runat="server" Text="Update"></asp:button><asp:Button id=EditAnswersButton runat="server" Text="Add / Edit answers"></asp:Button><asp:Button id=ExportXMLButton runat="server" Text="Export XML"></asp:Button><BR><br>
	</Td>
	</Tr>
	</Table>

</td></tr>
<uc1:footercontrol id="Footer" runat="server"></uc1:footercontrol>
</table>