<%@ Control Language="c#" AutoEventWireup="false" Codebehind="EditSingleQuestionAnswers.ascx.cs" Inherits="Votations.NSurvey.WebAdmin.EditSingleQuestionAnswers" %>
<%@ Register TagPrefix="uc1" TagName="HeaderControl" Src="UserControls/HeaderControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="FooterControl" Src="UserControls/FooterControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="SurveyListControl" Src="UserControls/SurveyListControl.ascx" %>
<%@ Register TagPrefix="mbrsc" Namespace="MetaBuilders.WebControls" Assembly="Votations.NSurvey.WebAdmin" %>
<%@ Register TagPrefix="ftb" Namespace="FreeTextBoxControls" Assembly="FreeTextBox" %>
<%@ Register TagPrefix="uc1" TagName="AnswerOptionControl" Src="UserControls/AnswerOptionControl.ascx" %>

<table class=TableLayoutContainer cellSpacing=0 cellPadding=0>
  <tr>
    <td><uc1:headercontrol id=Header runat="server"></uc1:headercontrol></td></tr>
  <tr>
    <td class=contentCell vAlign=top><asp:label id=MessageLabel runat="server" ForeColor="Green" Visible="False"></asp:label>
      <TABLE class=smallText width=700 border=0>
        <TR>
          <TD colSpan=2>
            <table>
              <tr>
                <td width="99%"><FONT class=Titlefont 
                  ><asp:literal 
                  id=SingleQuestionAnswerEditorTitle 
                  runat="server" EnableViewState="False" 
                  Text="Question's answers editor"></asp:literal></FONT></td>
                <td align=right><uc1:surveylistcontrol id=SurveyList runat="server"></uc1:surveylistcontrol></td></tr></table><IMG src="<%= CurrentFolder("images/linebreak.gif") %>"> </TD></TR>
        <TR>
          <TD>&nbsp;&nbsp; </TD>
          <TD width=700>
            <table>
              <tr>
                <td class=smallText><strong 
                  ><asp:literal id=DisplayAnswersOfLabel 
                   runat="server" 
                  EnableViewState="False"></asp:literal></strong></td>
                <td><asp:dropdownlist id=QuestionsDropDownList runat="server" AutoPostBack="True"></asp:dropdownlist><asp:button id=EditQuestionButton runat="server" Text="Edit question"></asp:button></td></tr></table></TD></TR></TABLE><br 
      >
<asp:placeholder id=AnswerOverviewPlaceHolder 
       Runat="server">      <TABLE class=smallText width=700 border=0>
        <TR>
          <TD colSpan=2><FONT class=Titlefont><asp:literal id=AnswersOverviewTitle runat="server" Text="Answers overview" EnableViewState="False"></asp:literal></FONT><BR><IMG 
            src="<%= CurrentFolder("images/linebreak.gif") %>"> </TD></TR>
        <TR>
          <TD>&nbsp;&nbsp; </TD>
          <TD>
<asp:datagrid id=AnswersDataGrid runat="server" Border="0" CellPadding="3" AutoGenerateColumns="False" width="700">
<AlternatingItemStyle BackColor="#F4F9FA">
</AlternatingItemStyle>

<ItemStyle Font-Size="XX-Small" BackColor="White">
</ItemStyle>

<HeaderStyle Font-Size="XX-Small" Font-Bold="True">
</HeaderStyle>

<Columns>
<asp:TemplateColumn HeaderText="Order">
<ItemTemplate>
	<asp:imagebutton id="UpImageButton" ImageUrl="images/questionupbutton.gif" CommandName="up" runat="server"></asp:imagebutton>
	<asp:imagebutton id="DownImageButton" ImageUrl="images/questiondownbutton.gif" CommandName="down" runat="server"></asp:imagebutton>
</ItemTemplate>
</asp:TemplateColumn>
<asp:TemplateColumn HeaderText="Selected">
<ItemTemplate>
<mbrsc:GlobalRadioButton GroupName="GlobalSelected" id="DefaultRadio" Enabled="False" Visible="false" runat="server"/>
<asp:CheckBox id="DefaultCheckBox" Enabled="False" Visible="false" runat="server"/>
</ItemTemplate>

</asp:TemplateColumn>
<asp:BoundColumn DataField="AnswerText" HeaderText="Text">
<ItemStyle Wrap="False">
</ItemStyle>
</asp:BoundColumn>
<asp:TemplateColumn HeaderText="Type">
<ItemTemplate>
</ItemTemplate>
</asp:TemplateColumn>
<asp:TemplateColumn HeaderText="Rating">
<ItemTemplate>
<asp:Label id="RatingLabel" runat="server"></asp:Label>
</ItemTemplate>
</asp:TemplateColumn>
<asp:TemplateColumn HeaderText="Score">
<ItemTemplate>
<asp:Label id="ScorePoint" runat="server"></asp:Label>
</ItemTemplate>
</asp:TemplateColumn>
<asp:EditCommandColumn ButtonType="LinkButton" UpdateText="Update" CancelText="Cancel" EditText="Edit"></asp:EditCommandColumn>
<asp:ButtonColumn Text="Delete" CommandName="Delete"></asp:ButtonColumn>
</Columns>
</asp:datagrid>

<BR><asp:button id=AddNewAnswerButton runat="server" Text="Add new answer"></asp:button></TD></TR></TABLE><BR></asp:placeholder><uc1:answeroptioncontrol id=AnswerOption runat="server" Visible="False"></uc1:answeroptioncontrol><br>
</td></tr><uc1:footercontrol id=Footer runat="server"></uc1:footercontrol></table>