<%@ Control Language="c#" AutoEventWireup="false" Codebehind="ResultsCrossTabulation.ascx.cs" Inherits="Votations.NSurvey.WebAdmin.ResultsCrossTabulation" %>
<%@ Register TagPrefix="uc1" TagName="SurveyListControl" Src="UserControls/SurveyListControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="FooterControl" Src="UserControls/FooterControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="HeaderControl" Src="UserControls/HeaderControl.ascx" %>


<table class=TableLayoutContainer cellSpacing=0 cellPadding=0>
  <TBODY>
  <tr>
    <td><uc1:headercontrol id=Header runat="server"></uc1:headercontrol></td></tr>
  <tr>
    <td class=contentCell vAlign=top><asp:label id=MessageLabel runat="server" Visible="False" ForeColor="Green"></asp:label>
      <table class=innerText>
        <TBODY>
        <tr>
          <td colSpan=2>
            <table>
              <tr>
                <td width="99%"><font class=titleFont 
                  ><asp:Literal id="SurveyCrossTabTitle" runat="server" EnableViewState="False" Text="Survey cross tabulation results"></asp:Literal></font> </td>
                <td align=right><uc1:surveylistcontrol id=SurveyList runat="server"></uc1:surveylistcontrol></td></tr></table><img src="<%= CurrentFolder("images/linebreak.gif") %>">
        </td></tr>
        <tr>
          <td>&nbsp;&nbsp; </td>
          <td>
            <table class=innerText>
              <tr>
                <td noWrap width=180><STRONG><asp:Literal id="BaseQuestionLabel" runat="server" EnableViewState="False" Text="Base question :"></asp:Literal></STRONG> </td>
                <td width=480><asp:DropDownList id=BaseQuestionDropDownList runat="server" AutoPostBack="True"></asp:DropDownList></td></tr>
              <tr>
                <td width=180 height=18><STRONG><asp:Literal id="CompareQuestionLabel" runat="server" EnableViewState="False" Text="Compare question :"></asp:Literal></STRONG> </td>
                <td height=18><asp:DropDownList id=CompareQuestionDropDownList runat="server" AutoPostBack="True"></asp:DropDownList></td></tr>
              <tr>
                <td width=700 valign="top" colSpan=2>
                  <P><table class="smallText" width="100%">
                    <TBODY>
                    <tr><td class="crossTabBaseCell">&nbsp;&nbsp;</td></td><td width="99%"><asp:Label id=BaseQuestionChoiceLabel runat="server">Choose a base question ...</asp:Label></td></tr>
					<tr><td class="crossTabCompareCell">&nbsp;&nbsp;</td><td width="99%"><asp:Label id=CompareQuestionChoiceLabel runat="server">Choose a compare question ...</asp:Label></td></tr></table></p>
                  <P><asp:PlaceHolder id=CrossTabResultsPlaceHolder runat="server"></asp:PlaceHolder></P>
                  <P>&nbsp;</P></TD></TR></TBODY></TABLE><br 
            ></TD></TR></TBODY></TABLE></TD></TR><uc1:footercontrol id=Footer runat="server"></uc1:footercontrol></TBODY></TABLE>