<%@ Control Language="c#" AutoEventWireup="false" Codebehind="ResultsReporting.ascx.cs" Inherits="Votations.NSurvey.WebAdmin.ResultsReporting" %>
<%@ Register TagPrefix="uc1" TagName="FooterControl" Src="UserControls/FooterControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="HeaderControl" Src="UserControls/HeaderControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="SurveyListControl" Src="UserControls/SurveyListControl.ascx" %>

<table class=TableLayoutContainer cellSpacing=0 cellPadding=0>
  <tr>
    <td><uc1:headercontrol id=Header runat="server"></uc1:headercontrol></td></tr>
  <tr>
    <td class=contentCell vAlign=top>
      <TABLE class=Innertext>
        <TR>
          <TD colSpan=2>
            <table>
              <tr>
                <td width="99%"><font class=titleFont>
                <asp:literal id=SurveyResultsTitle runat="server" EnableViewState="False">Survey results</asp:literal></font></td>
                <td align=right><uc1:surveylistcontrol id=SurveyList runat="server"></uc1:surveylistcontrol></td></tr></table><img src="<%= CurrentFolder("images/linebreak.gif") %>"></TD></TR>
        <TR>
          <TD>&nbsp;&nbsp; </TD>
          <TD>
            <TABLE class=smallText width=700>
              <tr>
                <td noWrap width=150><STRONG>
                  ><asp:Literal id="QuestionsResultsDisplaylabel" runat="server" EnableViewState="False">Question's results to display</asp:Literal></STRONG> </td>
                <td width=680 height=29><asp:dropdownlist id=QuestionsDropDownList runat="server" AutoPostBack="True"></asp:dropdownlist></td></tr>
              <tr>
                <td width=140 height=8><STRONG 
                  ><asp:Literal id="ResultsLayoutLabel" runat="server" EnableViewState="False">Results layout :</asp:Literal></STRONG> 
                </td>
                <td height=8><asp:dropdownlist id=LayoutDropDownList runat="server" AutoPostBack="True"></asp:dropdownlist></td></tr>
              <tr>
                <td width=140><STRONG 
                  ><asp:Literal id="ResultsOrderLabel" runat="server" EnableViewState="False">Results order :</asp:Literal></STRONG> 
                </td>
                <td height=15><asp:dropdownlist id="ResultsOrderDropDownList" runat="server" AutoPostBack="True"></asp:dropdownlist></td></tr>
              <tr>
                <td width=140 height=17><STRONG 
                  ><asp:Literal id="ApplyFilterLabel" runat="server" EnableViewState="False">Apply a filter :</asp:Literal></STRONG> </td>
                <td height=17 ><asp:dropdownlist id=FilterDropDownList runat="server" AutoPostBack="True"></asp:dropdownlist>&nbsp;</A><asp:HyperLink id="FilterEditorHyperLink" runat="server">Click here to edit / create new filters</asp:HyperLink></td></tr>
		
<tr><td colspan="2"><asp:PlaceHolder id="ResultsPlaceHolder" runat="server"></asp:PlaceHolder><BR>
<asp:Repeater id="ChartRepeater" runat="server">
<ItemTemplate>
<img src='<%= CurrentFolder("BarChartReport.aspx") %>?questionId=<%#DataBinder.Eval(Container.DataItem, "QuestionID")%>&FilterId=<%=FilterDropDownList.SelectedValue%>&SortOrder=<%=ResultsOrderDropDownList.SelectedValue%>'><br><br>
</ItemTemplate>
</asp:Repeater><asp:Image id="SingleChartImage" runat="server" Visible="False"></asp:Image></td></tr></TABLE></TD></TR></TABLE></td></tr>
<uc1:footercontrol id="Footer" runat="server"></uc1:footercontrol></table>